Skip to main content
GET
/
storagezone
/
{id}
/
statistics
Get Storage Zone Statistics
curl --request GET \
  --url https://api.bunny.net/storagezone/{id}/statistics \
  --header 'AccessKey: <api-key>'
import requests

url = "https://api.bunny.net/storagezone/{id}/statistics"

headers = {"AccessKey": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {AccessKey: '<api-key>'}};

fetch('https://api.bunny.net/storagezone/{id}/statistics', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "StorageUsedChart": {},
  "FileCountChart": {}
}

Authorizations

AccessKey
string
header
required

API Access Key authorization header

Path Parameters

id
integer<int64>
required

The ID of the storage zone

Query Parameters

dateFrom
string<date-time> | null

(Optional) The start date of the statistics. If no value is passed, the last 30 days will be returned.

dateTo
string<date-time> | null

(Optional) The end date of the statistics. If no value is passed, the last 30 days will be returned.

Response

The statistics data for the passed parameters.

StorageUsedChart
object | null

The constructed chart of the storage used by day

FileCountChart
object | null

The constructed chart of requests stored

Last modified on June 26, 2026